#version 330


layout (location=0) in vec3 vsPosition;
layout (location=1) in vec2 vsTexture;


uniform mat4 worldViewProj;
uniform float vScale;
uniform float hScale;

out vec2 fsTexY;
out vec2 fsTexUV;

void main()
{
	gl_Position=vec4(vsPosition.x,vsPosition.y,vsPosition.z,1.0);
	fsTexY = vsTexture;
    fsTexUV = fsTexY*vec2(hScale,vScale);
}
